'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-5d7ef74f.js');

const GenericToast = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.handleDeleteToast = index.createEvent(this, "handleDeleteToast", 7);
    }
    render() {
        const isComponentToast = 'instantiateToastElement' in this.toast;
        if (isComponentToast) {
            return index.h("custom-toast", { toast: this.toast, onHandleDeleteToast: () => this.handleDeleteToast.emit(this.toast.toastId) });
        }
        return index.h("simple-toast", { toast: this.toast, onHandleDeleteToast: () => this.handleDeleteToast.emit(this.toast.toastId) });
    }
};

const TransactionToast = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.handleDeleteToast = index.createEvent(this, "handleDeleteToast", 7);
        this.toastId = '';
        this.processedTransactionsStatus = '';
        this.transactions = [];
    }
    render() {
        var _a, _b;
        return (index.h("transaction-toast-wrapper", { key: '83d7c49a95fa2d944083be86d0c01715a4969a50', wrapperId: `toast-${this.toastId}`, wrapperClass: this.wrapperClass }, index.h("transaction-toast-progress", { key: this.toastId, startTime: (_a = this.transactionProgressState) === null || _a === void 0 ? void 0 : _a.startTime, endTime: (_b = this.transactionProgressState) === null || _b === void 0 ? void 0 : _b.endTime }, index.h("transaction-toast-content", { key: 'a17fddf1b4dfa8d89865e929bbd57c6d9c97ead4', onDeleteToast: () => this.handleDeleteToast.emit(this.toastId), processedTransactionsStatus: this.processedTransactionsStatus, toastDataState: this.toastDataState, transactions: this.transactions }))));
    }
};

exports.generic_toast = GenericToast;
exports.transaction_toast = TransactionToast;

//# sourceMappingURL=generic-toast_2.cjs.entry.js.map