'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-5d7ef74f.js');
const EventBus = require('./EventBus-1890a8f3.js');

var ToastEventsEnum;
(function (ToastEventsEnum) {
    ToastEventsEnum["CLOSE_TOAST"] = "CLOSE_TOAST";
    ToastEventsEnum["TRANSACTION_TOAST_DATA_UPDATE"] = "TRANSACTION_TOAST_DATA_UPDATE";
    ToastEventsEnum["CUSTOM_TOAST_DATA_UPDATE"] = "CUSTOM_TOAST_DATA_UPDATE";
})(ToastEventsEnum || (ToastEventsEnum = {}));

const toastListCss = ".toast-list{position:fixed;bottom:1rem;left:1rem;right:1rem;z-index:9999}@media (min-width: 760px){.toast-list{right:2rem;bottom:2rem;width:22.5rem;left:auto}}";
const ToastListStyle0 = toastListCss;

const ToastList = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.eventBus = new EventBus.EventBus();
    }
    async getEventBus() {
        return this.eventBus;
    }
    render() {
        var _a, _b;
        return (index.h("div", { key: '9c32126ea04565baa6dc9e1ca4d8be6d0130126e', class: "toast-list", id: "toast-list" }, (_a = this.customToasts) === null || _a === void 0 ? void 0 :
            _a.map(toast => (index.h("generic-toast", { toast: toast, onHandleDeleteToast: () => this.eventBus.publish(ToastEventsEnum.CLOSE_TOAST, toast.toastId) }))), (_b = this.transactionToasts) === null || _b === void 0 ? void 0 :
            _b.map(toast => (index.h("transaction-toast", Object.assign({}, toast, { onHandleDeleteToast: () => this.eventBus.publish(ToastEventsEnum.CLOSE_TOAST, toast.toastId) }))))));
    }
    transactionToastUpdate(payload) {
        this.transactionToasts = [...payload];
        index.forceUpdate(this);
    }
    customToastsUpdate(payload) {
        this.customToasts = [...payload];
        index.forceUpdate(this);
    }
    componentDidLoad() {
        this.eventBus.subscribe(ToastEventsEnum.TRANSACTION_TOAST_DATA_UPDATE, this.transactionToastUpdate.bind(this));
        this.eventBus.subscribe(ToastEventsEnum.CUSTOM_TOAST_DATA_UPDATE, this.customToastsUpdate.bind(this));
    }
};
ToastList.style = ToastListStyle0;

exports.toast_list = ToastList;

//# sourceMappingURL=toast-list.cjs.entry.js.map