import { faTimes } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
import classNames from "classnames";
export class TransactionIcon {
    render() {
        if (!this.iconInfo) {
            return null;
        }
        return (h("fa-icon", { class: classNames({
                'fa-sm': this.iconInfo.icon === faTimes,
            }, this.class, 'transaction-icon'), icon: this.iconInfo.icon, description: this.iconInfo.tooltip }));
    }
    static get is() { return "transaction-icon"; }
    static get encapsulation() { return "shadow"; }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "class",
                "reflect": false
            },
            "iconInfo": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "ITransactionIconInfo",
                    "resolved": "ITransactionIconInfo",
                    "references": {
                        "ITransactionIconInfo": {
                            "location": "import",
                            "path": "../../transactions-table.type",
                            "id": "src/components/controlled/transactions-table/transactions-table.type.ts::ITransactionIconInfo"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=transaction-icon.js.map
