import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../constants/dataTestIds.enum";
const COLUMNS = ['TxHash', 'Age', 'Shard', 'From', 'To', 'Method', 'Value'];
export class TransactionsTable {
    render() {
        return (h("table", { key: '9a041cbab496cefb2dfa265399ff4eefe156f79d', class: classNames(this.class, 'transactions-table') }, h("thead", { key: '82287b6626f1bbb917881b5f564868fe10579ddd', class: "transactions-table-header" }, h("tr", { key: '577ffeef829efe7ba187be916ade2ebacf9541ce' }, COLUMNS.map(column => (h("th", { key: column, scope: "col", class: "transactions-table-header-cell" }, column))))), h("tbody", { key: 'f44951ae10d31521873119628abab35a07acb5d2', class: "transactions-table-body" }, this.transactions.map(transaction => (h("tr", { class: "transactions-table-body-row" }, h("td", { class: "transactions-table-body-cell" }, h("transaction-hash", { transaction: transaction })), h("td", { class: "transactions-table-body-cell" }, h("transaction-age", { age: transaction.age.timeAgo, tooltip: transaction.age.tooltip })), h("td", { class: "transactions-table-body-cell" }, h("transaction-shards", { transaction: transaction })), h("td", { class: "transactions-table-body-cell" }, h("transaction-account", { account: transaction.sender, dataTestId: DataTestIdsEnum.transactionSender, scope: "sender", showLockedAccounts: true })), h("td", { class: "transactions-table-body-cell" }, h("transaction-account", { account: transaction.receiver, dataTestId: DataTestIdsEnum.transactionReceiver, scope: "receiver", showLockedAccounts: true })), h("td", { class: "transactions-table-body-cell" }, h("transaction-method", { method: transaction.method.name, actionDescription: transaction.method.actionDescription })), h("td", { class: "transactions-table-body-cell" }, h("transaction-value", { value: transaction.value }))))))));
    }
    static get is() { return "transactions-table"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["transactions-table.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transactions-table.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "class",
                "reflect": false
            },
            "transactions": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "ITransactionsTableRow[]",
                    "resolved": "ITransactionsTableRow[]",
                    "references": {
                        "ITransactionsTableRow": {
                            "location": "import",
                            "path": "./transactions-table.type",
                            "id": "src/components/controlled/transactions-table/transactions-table.type.ts::ITransactionsTableRow"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=transactions-table.js.map
