import { faTimes } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../../../constants/dataTestIds.enum";
import { getIconHtmlFromIconDefinition } from "../../../../../../../utils/icons/getIconHtmlFromIconDefinition";
import { getIconHtmlFromIconName } from "../../../../../../../utils/icons/getIconHtmlFromIconName";
export class TransactionToastContent {
    render() {
        const { icon, iconClassName, title, hasCloseButton } = this.toastDataState;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName(icon);
        }
        if (icon instanceof HTMLElement) {
            iconHtml = icon.outerHTML;
        }
        return (h("div", { key: 'd3b3313c82a73b388fb588d7a2deac714978255a', class: "content", "data-testid": DataTestIdsEnum.transactionToastContent }, h("div", { key: '2487d56ab8a0a7a2a4fe6804a284e6e50be04b28', class: "content-left" }, h("div", { key: '6b0b39b99b107c60964a20fa5fd17a1ab1d31f50', class: classNames('content-icon', iconClassName), innerHTML: iconHtml })), h("div", { key: 'd1688f1de429b216df75969ef9ed8d76cf05eb7d', class: "content-right" }, h("div", { key: '0536bf04b8fa4462eeb1e358ffb8911bd1f3d4a0', class: "content-heading" }, h("h5", { key: 'f28e71d5324123b0f689a68f263417c1ae14e9f5', class: "content-heading-title", "data-testid": DataTestIdsEnum.transactionToastTitle }, title), hasCloseButton && h("button", { key: '84d2c0cad69584b12f46179f29678881e131d24e', onClick: () => this.deleteToast.emit(), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition(faTimes) })), h("div", { key: '02c25c18a320b3e2481b719a11962cff3f5086e5', class: "content-heading-title" }, h("transaction-toast-details", { key: '48e08b6476eae44e979710aba06a5a949d6486fa', transactions: this.transactions, processedTransactionsStatus: this.processedTransactionsStatus })))));
    }
    static get is() { return "transaction-toast-content"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-toast-content.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-toast-content.css"]
        };
    }
    static get properties() {
        return {
            "transactions": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "ITransaction[]",
                    "resolved": "ITransaction[]",
                    "references": {
                        "ITransaction": {
                            "location": "import",
                            "path": "../../transaction-toast.type",
                            "id": "src/components/functional/toasts-list/components/transaction-toast/transaction-toast.type.ts::ITransaction"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "toastDataState": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "IToastDataState",
                    "resolved": "IToastDataState",
                    "references": {
                        "IToastDataState": {
                            "location": "import",
                            "path": "../../transaction-toast.type",
                            "id": "src/components/functional/toasts-list/components/transaction-toast/transaction-toast.type.ts::IToastDataState"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "processedTransactionsStatus": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string | JSX.Element",
                    "resolved": "Element | string",
                    "references": {
                        "JSX": {
                            "location": "import",
                            "path": "@stencil/core",
                            "id": "node_modules::LocalJSX"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "processed-transactions-status",
                "reflect": false
            }
        };
    }
    static get events() {
        return [{
                "method": "deleteToast",
                "name": "deleteToast",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=transaction-toast-content.js.map
