import { faCheck, faCircleNotch, faTimes } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../../../../constants/dataTestIds.enum";
import { getIconHtmlFromIconDefinition } from "../../../../../../../../utils/icons/getIconHtmlFromIconDefinition";
const iconData = {
    pending: faCircleNotch,
    success: faCheck,
    fail: faTimes,
    invalid: faTimes,
};
export class TransactionDetailsBody {
    constructor() {
        this.transactionClass = 'transaction-container';
    }
    render() {
        const statusIcon = this.status ? iconData[this.status] : null;
        const iconHtml = statusIcon ? getIconHtmlFromIconDefinition(statusIcon) : null;
        return (h("div", { class: this.transactionClass, key: this.hash, "data-testid": DataTestIdsEnum.transactionDetailsToastBody }, iconHtml && (h("div", { key: 'fe622e50c903c13e6c6f6541e1c59eebbc3b80dd', innerHTML: iconHtml, class: classNames('icon', {
                'fa-spin': this.status === 'pending',
            }) })), h("span", { key: 'e44b648d4d7535b7f0ae1cb405692eb782189716', class: "trim" }, h("trim-text", { key: '0872baff9c25ca1ecf0a791570724de526a04914', text: this.hash })), h("div", { key: 'c76f37e1a26b19228125f7b1cb24b22b5bbc09dd', class: "actions" }, h("copy-button", { key: 'a9e856abd3806ef51681f189c327920565fa12fe', text: this.hash }), h("explorer-link", { key: '9daafb9380ae662aaa53aad9d1d1f594c09d1f96', link: this.link }))));
    }
    static get is() { return "transaction-toast-details-body"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-toast-details-body.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-toast-details-body.css"]
        };
    }
    static get properties() {
        return {
            "transactionClass": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "transaction-class",
                "reflect": false,
                "defaultValue": "'transaction-container'"
            },
            "status": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "status",
                "reflect": false
            },
            "hash": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "hash",
                "reflect": false
            },
            "link": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "link",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=transaction-toast-details-body.js.map
