import { p as proxyCustomElement, H, c as createEvent, h } from './p-8a2c7dab.js';
import { d as defineCustomElement$3 } from './p-7a5f6177.js';
import { d as defineCustomElement$2 } from './p-42d2a2fe.js';
import { d as defineCustomElement$1 } from './p-1cf18458.js';

const GenericToast = /*@__PURE__*/ proxyCustomElement(class GenericToast extends H {
    constructor() {
        super();
        this.__registerHost();
        this.handleDeleteToast = createEvent(this, "handleDeleteToast", 7);
    }
    render() {
        const isComponentToast = 'instantiateToastElement' in this.toast;
        if (isComponentToast) {
            return h("custom-toast", { toast: this.toast, onHandleDeleteToast: () => this.handleDeleteToast.emit(this.toast.toastId) });
        }
        return h("simple-toast", { toast: this.toast, onHandleDeleteToast: () => this.handleDeleteToast.emit(this.toast.toastId) });
    }
}, [0, "generic-toast", {
        "toast": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["generic-toast", "custom-toast", "simple-toast", "transaction-toast-wrapper"];
    components.forEach(tagName => { switch (tagName) {
        case "generic-toast":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, GenericToast);
            }
            break;
        case "custom-toast":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "simple-toast":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "transaction-toast-wrapper":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { GenericToast as G, defineCustomElement as d };

//# sourceMappingURL=p-0b669098.js.map