import { p as proxyCustomElement, H, h } from './p-8a2c7dab.js';
import { d as faCircleNotch, a as faCheck, b as faTimes } from './p-5c541756.js';
import { c as classNames } from './p-12360e4c.js';
import { D as DataTestIdsEnum } from './p-6e09b0ac.js';
import { g as getIconHtmlFromIconDefinition } from './p-afa2d560.js';
import { d as defineCustomElement$4 } from './p-e0ea2c4e.js';
import { d as defineCustomElement$3 } from './p-77e42fcf.js';
import { d as defineCustomElement$2 } from './p-a40ff0c9.js';
import { d as defineCustomElement$1 } from './p-278375da.js';

const transactionToastDetailsBodyCss = ".transaction-container {\n  line-height: 1.5;\n  font-size: 0.875rem;\n  padding-right: 0.5rem;\n  display: flex;\n  align-items: center;\n  margin-bottom: 0.2rem;\n  justify-content: space-between;\n  --explorer-link-color: #6c757d;\n\n  .actions {\n    display: flex;\n    align-items: center;\n    gap: 0.75rem;\n  }\n\n  .icon {\n    svg {\n      font-size: 0.875rem;\n      color: #6c757d;\n      margin-right: 0.25rem;\n      width: 1rem;\n    }\n  }\n\n  .fa-spin {\n    svg {\n      animation: spin 2s linear infinite;\n    }\n  }\n\n  .trim {\n    width: 11rem;\n    white-space: nowrap;\n    margin-right: 1rem;\n  }\n}\n\n@keyframes spin {\n  0% {\n    transform: rotate(0deg);\n  }\n  100% {\n    transform: rotate(360deg);\n  }\n}";
const TransactionToastDetailsBodyStyle0 = transactionToastDetailsBodyCss;

const iconData = {
    pending: faCircleNotch,
    success: faCheck,
    fail: faTimes,
    invalid: faTimes,
};
const TransactionDetailsBody = /*@__PURE__*/ proxyCustomElement(class TransactionDetailsBody extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.transactionClass = 'transaction-container';
    }
    render() {
        const statusIcon = this.status ? iconData[this.status] : null;
        const iconHtml = statusIcon ? getIconHtmlFromIconDefinition(statusIcon) : null;
        return (h("div", { class: this.transactionClass, key: this.hash, "data-testid": DataTestIdsEnum.transactionDetailsToastBody }, iconHtml && (h("div", { key: 'fe622e50c903c13e6c6f6541e1c59eebbc3b80dd', innerHTML: iconHtml, class: classNames('icon', {
                'fa-spin': this.status === 'pending',
            }) })), h("span", { key: 'e44b648d4d7535b7f0ae1cb405692eb782189716', class: "trim" }, h("trim-text", { key: '0872baff9c25ca1ecf0a791570724de526a04914', text: this.hash })), h("div", { key: 'c76f37e1a26b19228125f7b1cb24b22b5bbc09dd', class: "actions" }, h("copy-button", { key: 'a9e856abd3806ef51681f189c327920565fa12fe', text: this.hash }), h("explorer-link", { key: '9daafb9380ae662aaa53aad9d1d1f594c09d1f96', link: this.link }))));
    }
    static get style() { return TransactionToastDetailsBodyStyle0; }
}, [1, "transaction-toast-details-body", {
        "transactionClass": [1, "transaction-class"],
        "status": [1],
        "hash": [1],
        "link": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-toast-details-body", "copy-button", "explorer-link", "fa-icon", "trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionDetailsBody);
            }
            break;
        case "copy-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionDetailsBody as T, defineCustomElement as d };

//# sourceMappingURL=p-35930db0.js.map