import { p as proxyCustomElement, H, c as createEvent, h } from './p-8a2c7dab.js';

const genericModalCss = ":host{display:block}.modal{position:fixed;z-index:1000;left:0;top:0;width:100%;height:100%;background-color:rgba(0, 0, 0, 0.4);overflow:auto}.modal-content{background-color:#ffffff;margin:5% auto;padding:20px;border-radius:12px;width:90%;max-width:600px}.modal-header{text-align:center;margin-bottom:20px}.close{float:right;cursor:pointer;padding:5px}";
const GenericModalStyle0 = genericModalCss;

const GenericModal = /*@__PURE__*/ proxyCustomElement(class GenericModal extends H {
    constructor() {
        super();
        this.__registerHost();
        this.close = createEvent(this, "close", 7);
    }
    render() {
        return (h("div", { key: '9afdada607a7b0c6d03cf2835bb12402d4172161', class: "modal" }, h("div", { key: '1c29eeca3135a30f7572841604cb7f8a23ec0dbc', class: "modal-content" }, h("div", { key: '502c05d1d8f52f43e3401cee08ac7c0a726ea6ba', class: "modal-header" }, h("span", { key: 'b808bb4727036adcc0aad7ee8b54c551987b8ca3', class: "close", onClick: () => this.close.emit() }, "\u2715"), h("h2", { key: 'd0dd8752d403a16fd90c4f7c115a88fb6058de88' }, this.modalTitle), this.modalSubtitle && h("h4", { key: 'b06fe90714e21be89c858e61fc72b0ede25fc56a' }, this.modalSubtitle)), this.body)));
    }
    static get style() { return GenericModalStyle0; }
}, [0, "generic-modal", {
        "body": [16],
        "modalTitle": [1, "modal-title"],
        "modalSubtitle": [1, "modal-subtitle"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["generic-modal"];
    components.forEach(tagName => { switch (tagName) {
        case "generic-modal":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, GenericModal);
            }
            break;
    } });
}

export { GenericModal as G, defineCustomElement as d };

//# sourceMappingURL=p-777c5991.js.map