import { p as proxyCustomElement, H, c as createEvent, h } from './p-8a2c7dab.js';
import { b as faTimes } from './p-5c541756.js';
import { c as classNames } from './p-12360e4c.js';
import { D as DataTestIdsEnum } from './p-6e09b0ac.js';
import { g as getIconHtmlFromIconDefinition } from './p-afa2d560.js';
import { g as getIconHtmlFromIconName } from './p-3a7305bf.js';
import { d as defineCustomElement$6 } from './p-e0ea2c4e.js';
import { d as defineCustomElement$5 } from './p-77e42fcf.js';
import { d as defineCustomElement$4 } from './p-a40ff0c9.js';
import { d as defineCustomElement$3 } from './p-b416e79b.js';
import { d as defineCustomElement$2 } from './p-35930db0.js';
import { d as defineCustomElement$1 } from './p-278375da.js';

const transactionToastContentCss = ".content {\n  display: flex;\n  align-items: center;\n}\n.content-left {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  flex-direction: column;\n  padding-left: 0.5rem;\n  padding-right: 0.75rem;\n}\n.success {\n  background-color: #5cb85c;\n}\n.warning {\n  background-color: #ffc107;\n}\n.danger {\n  background-color: #d9534f;\n}\n.content-icon {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n  width: 3rem;\n  height: 3rem;\n  border-radius: 50%;\n  svg {\n    height: auto;\n    width: 20px;\n\n    path {\n      fill: white;\n    }\n  }\n}\n\n.icon-close {\n  cursor: pointer;\n  float: right;\n  font-size: 1.5rem;\n  font-weight: 700;\n  line-height: 1;\n  color: #000;\n  text-shadow: 0 1px 0 #fff;\n  opacity: 0.5;\n  padding: 0;\n  background-color: rgba(0, 0, 0, 0);\n  border: 0;\n  display: flex;\n  align-items: center;\n  margin: 0 0.5rem;\n  width: 12px;\n}\n\n.content-right {\n  display: block;\n  overflow: hidden;\n  width: 100%;\n}\n\n.content-heading {\n  display: flex;\n  justify-content: space-between;\n  margin-bottom: 0.25rem;\n}\n\n.content-heading-title {\n  margin: 0;\n  margin-bottom: 0.5rem;\n  font-weight: 500;\n  line-height: 1.2;\n  font-size: 1.25rem;\n}\n";
const TransactionToastContentStyle0 = transactionToastContentCss;

const TransactionToastContent = /*@__PURE__*/ proxyCustomElement(class TransactionToastContent extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.deleteToast = createEvent(this, "deleteToast", 7);
    }
    render() {
        const { icon, iconClassName, title, hasCloseButton } = this.toastDataState;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName(icon);
        }
        if (icon instanceof H) {
            iconHtml = icon.outerHTML;
        }
        return (h("div", { key: 'd3b3313c82a73b388fb588d7a2deac714978255a', class: "content", "data-testid": DataTestIdsEnum.transactionToastContent }, h("div", { key: '2487d56ab8a0a7a2a4fe6804a284e6e50be04b28', class: "content-left" }, h("div", { key: '6b0b39b99b107c60964a20fa5fd17a1ab1d31f50', class: classNames('content-icon', iconClassName), innerHTML: iconHtml })), h("div", { key: 'd1688f1de429b216df75969ef9ed8d76cf05eb7d', class: "content-right" }, h("div", { key: '0536bf04b8fa4462eeb1e358ffb8911bd1f3d4a0', class: "content-heading" }, h("h5", { key: 'f28e71d5324123b0f689a68f263417c1ae14e9f5', class: "content-heading-title", "data-testid": DataTestIdsEnum.transactionToastTitle }, title), hasCloseButton && h("button", { key: '84d2c0cad69584b12f46179f29678881e131d24e', onClick: () => this.deleteToast.emit(), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition(faTimes) })), h("div", { key: '02c25c18a320b3e2481b719a11962cff3f5086e5', class: "content-heading-title" }, h("transaction-toast-details", { key: '48e08b6476eae44e979710aba06a5a949d6486fa', transactions: this.transactions, processedTransactionsStatus: this.processedTransactionsStatus })))));
    }
    static get style() { return TransactionToastContentStyle0; }
}, [1, "transaction-toast-content", {
        "transactions": [16],
        "toastDataState": [16],
        "processedTransactionsStatus": [1, "processed-transactions-status"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-toast-content", "copy-button", "explorer-link", "fa-icon", "transaction-toast-details", "transaction-toast-details-body", "trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-toast-content":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionToastContent);
            }
            break;
        case "copy-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "transaction-toast-details":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionToastContent as T, defineCustomElement as d };

//# sourceMappingURL=p-8ee1d441.js.map