import { p as proxyCustomElement, H, h } from './p-8a2c7dab.js';
import { e as faLayerGroup } from './p-5c541756.js';
import { c as classNames } from './p-12360e4c.js';
import { D as DataTestIdsEnum } from './p-6e09b0ac.js';
import { d as defineCustomElement$3 } from './p-77e42fcf.js';
import { d as defineCustomElement$2 } from './p-a40ff0c9.js';
import { d as defineCustomElement$1 } from './p-1c2cff02.js';

const transactionValueCss = ".transaction-action {\n  .transaction-nft-badge {\n    margin: 0 0.25rem auto auto;\n  }\n}\n\n.transaction-action-content {\n  align-items: center;\n  display: flex;\n}\n\n.transaction-value, .transaction-value-content {\n  align-items: center;\n  display: flex;\n  gap: 0.25rem;\n}\n\n.transaction-value-img {\n  width: 1.5rem;\n  height: 1.5rem;\n  min-width: 1.5rem;\n  min-height: 1.5rem;\n  color: transparent;\n  border-radius: 50%;\n  overflow: hidden;\n  border: 1px solid #dee2e6;\n}\n\n.badge {\n  display: inline-block;\n  padding: 0.25em 0.4em;\n  font-size: 75%;\n  font-weight: 700;\n  line-height: 1;\n  text-align: center;\n  white-space: pre-wrap;\n  word-break: break-all;\n  vertical-align: baseline;\n  border-radius: 0.25rem;\n  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;\n  width: max-content;\n}\n\n@media (prefers-reduced-motion: reduce) {\n  .badge {\n    transition: none;\n  }\n}\n\n.badge-pill {\n  padding-right: 0.6em;\n  padding-left: 0.6em;\n  border-radius: 10rem;\n}\n\n.badge-primary {\n  color: #fff;\n  background-color: #007bff;\n}\n\n.badge-secondary {\n  color: #fff;\n  background-color: #6c757d;\n}\n\n.badge-danger {\n  color: #fff;\n  background-color: #dc3545;\n}\n\n.badge-light {\n  color: #212529;\n  background-color: #f8f9fa;\n}\n\n.text-truncate {\n  overflow: hidden;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n}\n\n.text-capitalize {\n  text-transform: capitalize;\n}\n\n.text-white {\n  color: #fff;\n}\n";
const TransactionValueStyle0 = transactionValueCss;

const TransactionValue = /*@__PURE__*/ proxyCustomElement(class TransactionValue extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        var _a;
        return (h("div", { key: 'f7a258fd30ebcdea9a5c95b9cd876b25e3c85aa0', class: classNames(this.class, 'transaction-value') }, this.value.badge && (h("div", { key: '9b3eb9874557f5b547685235da3686c6585923ff', "data-testid": DataTestIdsEnum.transactionNftBadge, class: "badge badge-secondary badge-pill font-weight-light transaction-value-badge" }, this.value.badge)), this.value.showFormattedAmount && (h("format-amount", { key: '6868ba9f56aa6382d386dd944ee995fef76772d3', class: classNames('mr-1', {
                'text-truncate': this.value.svgUrl,
            }), dataTestId: DataTestIdsEnum.transactionActionFormattedAmount, isValid: true, label: this.value.egldLabel, valueDecimal: this.value.valueDecimal, valueInteger: this.value.valueInteger })), this.value.link && (h("explorer-link", { key: 'f98312049ef023b32eefe2fe6aa7d404ce80d006', link: this.value.link, class: classNames('transaction-value-link', {
                'side-link d-flex': this.value.svgUrl,
                'text-truncate': !this.value.svgUrl,
            }) }, h("div", { key: '74a6598ef8a597b86393dd490e07d0f5f1300a56', class: "transaction-value-content", slot: "content" }, this.value.svgUrl && h("img", { key: '5a1ab05186ff2debf56e9d51ab73523581bc05c3', src: this.value.svgUrl, alt: (_a = this.value.name) !== null && _a !== void 0 ? _a : '', class: "transaction-value-img" }), this.value.linkText && (h("span", { key: '210245508f8d5d584b8dbee1c64213ff43f764e3', class: classNames('transaction-value-link-text', {
                truncate: this.value.ticker === this.value.collection && this.value.ticker != null,
            }) }, this.value.linkText))))), this.value.titleText && h("fa-icon", { key: '3e80b0173eae5a7ba3300e190c75208f5ad4d014', icon: faLayerGroup, class: "transaction-value-icon", title: this.value.titleText })));
    }
    static get style() { return TransactionValueStyle0; }
}, [1, "transaction-value", {
        "class": [1],
        "value": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-value", "explorer-link", "fa-icon", "format-amount"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-value":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionValue);
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "format-amount":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionValue as T, defineCustomElement as d };

//# sourceMappingURL=p-fb3be71f.js.map