import { p as proxyCustomElement, H, h, f as forceUpdate } from './p-8a2c7dab.js';
import { E as EventBus } from './p-9d530225.js';
import { d as defineCustomElement$e } from './p-e0ea2c4e.js';
import { d as defineCustomElement$d } from './p-7a5f6177.js';
import { d as defineCustomElement$c } from './p-77e42fcf.js';
import { d as defineCustomElement$b } from './p-a40ff0c9.js';
import { d as defineCustomElement$a } from './p-0b669098.js';
import { d as defineCustomElement$9 } from './p-42d2a2fe.js';
import { d as defineCustomElement$8 } from './p-7b9dfe28.js';
import { d as defineCustomElement$7 } from './p-8ee1d441.js';
import { d as defineCustomElement$6 } from './p-b416e79b.js';
import { d as defineCustomElement$5 } from './p-35930db0.js';
import { d as defineCustomElement$4 } from './p-92239932.js';
import { d as defineCustomElement$3 } from './p-1cf18458.js';
import { d as defineCustomElement$2 } from './p-278375da.js';

var ToastEventsEnum;
(function (ToastEventsEnum) {
    ToastEventsEnum["CLOSE_TOAST"] = "CLOSE_TOAST";
    ToastEventsEnum["TRANSACTION_TOAST_DATA_UPDATE"] = "TRANSACTION_TOAST_DATA_UPDATE";
    ToastEventsEnum["CUSTOM_TOAST_DATA_UPDATE"] = "CUSTOM_TOAST_DATA_UPDATE";
})(ToastEventsEnum || (ToastEventsEnum = {}));

const toastListCss = ".toast-list{position:fixed;bottom:1rem;left:1rem;right:1rem;z-index:9999}@media (min-width: 760px){.toast-list{right:2rem;bottom:2rem;width:22.5rem;left:auto}}";
const ToastListStyle0 = toastListCss;

const ToastList$1 = /*@__PURE__*/ proxyCustomElement(class ToastList extends H {
    constructor() {
        super();
        this.__registerHost();
        this.eventBus = new EventBus();
    }
    async getEventBus() {
        return this.eventBus;
    }
    render() {
        var _a, _b;
        return (h("div", { key: '9c32126ea04565baa6dc9e1ca4d8be6d0130126e', class: "toast-list", id: "toast-list" }, (_a = this.customToasts) === null || _a === void 0 ? void 0 :
            _a.map(toast => (h("generic-toast", { toast: toast, onHandleDeleteToast: () => this.eventBus.publish(ToastEventsEnum.CLOSE_TOAST, toast.toastId) }))), (_b = this.transactionToasts) === null || _b === void 0 ? void 0 :
            _b.map(toast => (h("transaction-toast", Object.assign({}, toast, { onHandleDeleteToast: () => this.eventBus.publish(ToastEventsEnum.CLOSE_TOAST, toast.toastId) }))))));
    }
    transactionToastUpdate(payload) {
        this.transactionToasts = [...payload];
        forceUpdate(this);
    }
    customToastsUpdate(payload) {
        this.customToasts = [...payload];
        forceUpdate(this);
    }
    componentDidLoad() {
        this.eventBus.subscribe(ToastEventsEnum.TRANSACTION_TOAST_DATA_UPDATE, this.transactionToastUpdate.bind(this));
        this.eventBus.subscribe(ToastEventsEnum.CUSTOM_TOAST_DATA_UPDATE, this.customToastsUpdate.bind(this));
    }
    static get style() { return ToastListStyle0; }
}, [0, "toast-list", {
        "transactionToasts": [16],
        "customToasts": [16],
        "getEventBus": [64]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["toast-list", "copy-button", "custom-toast", "explorer-link", "fa-icon", "generic-toast", "simple-toast", "transaction-toast", "transaction-toast-content", "transaction-toast-details", "transaction-toast-details-body", "transaction-toast-progress", "transaction-toast-wrapper", "trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "toast-list":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ToastList$1);
            }
            break;
        case "copy-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$e();
            }
            break;
        case "custom-toast":
            if (!customElements.get(tagName)) {
                defineCustomElement$d();
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$c();
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$b();
            }
            break;
        case "generic-toast":
            if (!customElements.get(tagName)) {
                defineCustomElement$a();
            }
            break;
        case "simple-toast":
            if (!customElements.get(tagName)) {
                defineCustomElement$9();
            }
            break;
        case "transaction-toast":
            if (!customElements.get(tagName)) {
                defineCustomElement$8();
            }
            break;
        case "transaction-toast-content":
            if (!customElements.get(tagName)) {
                defineCustomElement$7();
            }
            break;
        case "transaction-toast-details":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "transaction-toast-progress":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "transaction-toast-wrapper":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const ToastList = ToastList$1;
const defineCustomElement = defineCustomElement$1;

export { ToastList, defineCustomElement };

//# sourceMappingURL=toast-list.js.map