import { r as registerInstance, h } from './index-755f1da5.js';
import { c as classNames } from './index-097075ad.js';
import { D as DataTestIdsEnum } from './dataTestIds.enum-55de9911.js';
import { f as faLayerGroup } from './index-b6ac87da.js';

var faFileAlt = {};

var faFileLines = {};

(function (exports) {
Object.defineProperty(exports, '__esModule', { value: true });
var prefix = 'fas';
var iconName = 'file-lines';
var width = 384;
var height = 512;
var aliases = [128441,128462,61686,"file-alt","file-text"];
var unicode = 'f15c';
var svgPathData = 'M64 0C28.7 0 0 28.7 0 64L0 448c0 35.3 28.7 64 64 64l256 0c35.3 0 64-28.7 64-64l0-288-128 0c-17.7 0-32-14.3-32-32L224 0 64 0zM256 0l0 128 128 0L256 0zM112 256l160 0c8.8 0 16 7.2 16 16s-7.2 16-16 16l-160 0c-8.8 0-16-7.2-16-16s7.2-16 16-16zm0 64l160 0c8.8 0 16 7.2 16 16s-7.2 16-16 16l-160 0c-8.8 0-16-7.2-16-16s7.2-16 16-16zm0 64l160 0c8.8 0 16 7.2 16 16s-7.2 16-16 16l-160 0c-8.8 0-16-7.2-16-16s7.2-16 16-16z';

exports.definition = {
  prefix: prefix,
  iconName: iconName,
  icon: [
    width,
    height,
    aliases,
    unicode,
    svgPathData
  ]};

exports.faFileLines = exports.definition;
exports.prefix = prefix;
exports.iconName = iconName;
exports.width = width;
exports.height = height;
exports.ligatures = aliases;
exports.unicode = unicode;
exports.svgPathData = svgPathData;
exports.aliases = aliases;
}(faFileLines));

(function (exports) {
Object.defineProperty(exports, '__esModule', { value: true });
var source = faFileLines;
exports.definition = {
  prefix: source.prefix,
  iconName: source.iconName,
  icon: [
    source.width,
    source.height,
    source.aliases,
    source.unicode,
    source.svgPathData
  ]};

exports.faFileAlt = exports.definition;
exports.prefix = source.prefix;
exports.iconName = source.iconName;
exports.width = source.width;
exports.height = source.height;
exports.ligatures = source.aliases;
exports.unicode = source.unicode;
exports.svgPathData = source.svgPathData;
exports.aliases = source.aliases;
}(faFileAlt));

var faLock = {};

(function (exports) {
Object.defineProperty(exports, '__esModule', { value: true });
var prefix = 'fas';
var iconName = 'lock';
var width = 448;
var height = 512;
var aliases = [128274];
var unicode = 'f023';
var svgPathData = 'M144 144l0 48 160 0 0-48c0-44.2-35.8-80-80-80s-80 35.8-80 80zM80 192l0-48C80 64.5 144.5 0 224 0s144 64.5 144 144l0 48 16 0c35.3 0 64 28.7 64 64l0 192c0 35.3-28.7 64-64 64L64 512c-35.3 0-64-28.7-64-64L0 256c0-35.3 28.7-64 64-64l16 0z';

exports.definition = {
  prefix: prefix,
  iconName: iconName,
  icon: [
    width,
    height,
    aliases,
    unicode,
    svgPathData
  ]};

exports.faLock = exports.definition;
exports.prefix = prefix;
exports.iconName = iconName;
exports.width = width;
exports.height = height;
exports.ligatures = aliases;
exports.unicode = unicode;
exports.svgPathData = svgPathData;
exports.aliases = aliases;
}(faLock));

const transactionAccountCss = ".transaction-account{align-items:center;display:flex;gap:0.5rem}";
const TransactionAccountStyle0 = transactionAccountCss;

const TransactionAccount = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.showLockedAccounts = false;
    }
    render() {
        return (h("div", { key: 'f8e21021999cf5e2c855d52679edd87907362d40', class: classNames(this.class, 'transaction-account'), "data-testid": this.dataTestId }, this.showLockedAccounts && this.account.isTokenLocked && h("fa-icon", { key: '283f2823864318171e1458ae0711e241d93fb5c4', icon: faLock.faLock, description: this.account.name }), this.account.isContract && h("fa-icon", { key: 'b85df76a6fcf69a6bcd0db685e615757a416b259', icon: faFileAlt.faFileAlt, description: "Smart Contract" }), this.account.showLink ? (h("explorer-link", { link: this.account.link, "data-testid": `${this.scope}Link` }, h("transaction-account-name", { slot: "content", name: this.account.name, description: this.account.description, address: this.account.address }))) : (h("transaction-account-name", { name: this.account.name, description: this.account.description, address: this.account.address }))));
    }
};
TransactionAccount.style = TransactionAccountStyle0;

const transactionAgeCss = ".transaction-age{width:max-content}";
const TransactionAgeStyle0 = transactionAgeCss;

const TransactionAge = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const component = this.tooltip ? (h("div", { class: classNames(this.class, 'transaction-age'), title: this.tooltip, "data-testid": DataTestIdsEnum.transactionAge }, this.age)) : (h("div", { class: classNames(this.class, 'transaction-age'), "data-testid": DataTestIdsEnum.transactionAge }, this.age));
        return h("div", { key: 'ffb55dd3772228f85ff562ca936002fec83ee6af', class: classNames(this.class, 'transaction-age') }, component);
    }
};
TransactionAge.style = TransactionAgeStyle0;

const TransactionHash = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        if (!this.transaction) {
            return null;
        }
        return (h("div", { class: classNames(this.class, 'transaction-hash') }, h("transaction-icon", { iconInfo: this.transaction.iconInfo }), h("explorer-link", { dataTestId: DataTestIdsEnum.transactionLink, link: this.transaction.link, text: this.transaction.txHash })));
    }
};

const transactionMethodCss = ".badge{display:inline-block;padding:0.25em 0.4em;font-size:75%;font-weight:700;line-height:1;text-align:center;white-space:pre-wrap;word-break:break-all;vertical-align:baseline;border-radius:0.25rem;transition:color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out}@media (prefers-reduced-motion: reduce){.badge{transition:none}}a.badge:hover,a.badge:focus{text-decoration:none}.badge:empty{display:none}.btn .badge{position:relative;top:-1px}.badge-pill{padding-right:0.6em;padding-left:0.6em;border-radius:10rem}.badge-primary{color:#fff;background-color:#007bff}a.badge-primary:hover,a.badge-primary:focus{color:#fff;background-color:#0062cc}a.badge-primary:focus,a.badge-primary.focus{outline:0;box-shadow:0 0 0 0.2rem rgba(0, 123, 255, 0.5)}.badge-secondary{color:#fff;background-color:#6c757d}a.badge-secondary:hover,a.badge-secondary:focus{color:#fff;background-color:#545b62}a.badge-secondary:focus,a.badge-secondary.focus{outline:0;box-shadow:0 0 0 0.2rem rgba(108, 117, 125, 0.5)}.badge-success{color:#fff;background-color:#28a745}a.badge-success:hover,a.badge-success:focus{color:#fff;background-color:#1e7e34}a.badge-success:focus,a.badge-success.focus{outline:0;box-shadow:0 0 0 0.2rem rgba(40, 167, 69, 0.5)}.badge-info{color:#fff;background-color:#17a2b8}a.badge-info:hover,a.badge-info:focus{color:#fff;background-color:#117a8b}a.badge-info:focus,a.badge-info.focus{outline:0;box-shadow:0 0 0 0.2rem rgba(23, 162, 184, 0.5)}.badge-warning{color:#212529;background-color:#ffc107}a.badge-warning:hover,a.badge-warning:focus{color:#212529;background-color:#d39e00}a.badge-warning:focus,a.badge-warning.focus{outline:0;box-shadow:0 0 0 0.2rem rgba(255, 193, 7, 0.5)}.badge-danger{color:#fff;background-color:#dc3545}a.badge-danger:hover,a.badge-danger:focus{color:#fff;background-color:#bd2130}a.badge-danger:focus,a.badge-danger.focus{outline:0;box-shadow:0 0 0 0.2rem rgba(220, 53, 69, 0.5)}.badge-light{color:#212529;background-color:#f8f9fa}a.badge-light:hover,a.badge-light:focus{color:#212529;background-color:#dae0e5}a.badge-light:focus,a.badge-light.focus{outline:0;box-shadow:0 0 0 0.2rem rgba(248, 249, 250, 0.5)}.badge-dark{color:#fff;background-color:#343a40}a.badge-dark:hover,a.badge-dark:focus{color:#fff;background-color:#1d2124}a.badge-dark:focus,a.badge-dark.focus{outline:0;box-shadow:0 0 0 0.2rem rgba(52, 58, 64, 0.5)}.text-truncate{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.text-capitalize{text-transform:capitalize}.text-white{color:#fff}";
const TransactionMethodStyle0 = transactionMethodCss;

const TransactionMethod = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("span", { key: 'eee59fb69f7f923b67b09929ed0ea5175cf59fed', class: classNames('badge badge-secondary badge-pill font-weight-light transaction-method', this.class), "data-testid": DataTestIdsEnum.method, title: this.actionDescription }, h("div", { key: 'efc66160834b81cb85b385c92413b619cd8cda72', class: "badge badge-secondary badge-pill" }, h("div", { key: '1aaad6f7285fe3717387d53420ccb2db5d488599', class: "text-truncate text-capitalize text-white" }, this.method))));
    }
};
TransactionMethod.style = TransactionMethodStyle0;

const transactionShardsCss = ".transaction-shards,.transaction-shards-arrow{align-items:center;display:flex;gap:0.5rem;width:max-content}";
const TransactionShardsStyle0 = transactionShardsCss;

const TransactionShards = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", { key: '548495bd23ade0a11211616f3195dca9056f014d', class: classNames(this.class, 'transaction-shards') }, h("explorer-link", { key: '12cd3dabfab1f2dfee6413c89cb1421e8a226a6d', link: this.transaction.sender.shardLink, class: "transactions-table-body-cell-link", "data-testid": DataTestIdsEnum.shardFromLink }, h("span", { key: 'f1f4f2cf228a81c98b9f011f1264f333faaf13be', slot: "content", "data-testid": DataTestIdsEnum.senderShard }, this.transaction.sender.shard)), h("span", { key: '394c7f8644efea277f994049aab0a8b99ec5a852', class: "transaction-shards-arrow" }, "\u2794"), h("explorer-link", { key: '425f49691882b37efb158183cb72895d90cd7ebb', class: "transactions-table-body-cell-link", link: this.transaction.receiver.shardLink, "data-testid": DataTestIdsEnum.shardToLink }, h("span", { key: 'f58d6f40a85465b370bc4b20e5fd246747ea8b75', slot: "content", "data-testid": DataTestIdsEnum.receiverShard }, this.transaction.receiver.shard))));
    }
};
TransactionShards.style = TransactionShardsStyle0;

const transactionValueCss = ".transaction-action {\n  .transaction-nft-badge {\n    margin: 0 0.25rem auto auto;\n  }\n}\n\n.transaction-action-content {\n  align-items: center;\n  display: flex;\n}\n\n.transaction-value, .transaction-value-content {\n  align-items: center;\n  display: flex;\n  gap: 0.25rem;\n}\n\n.transaction-value-img {\n  width: 1.5rem;\n  height: 1.5rem;\n  min-width: 1.5rem;\n  min-height: 1.5rem;\n  color: transparent;\n  border-radius: 50%;\n  overflow: hidden;\n  border: 1px solid #dee2e6;\n}\n\n.badge {\n  display: inline-block;\n  padding: 0.25em 0.4em;\n  font-size: 75%;\n  font-weight: 700;\n  line-height: 1;\n  text-align: center;\n  white-space: pre-wrap;\n  word-break: break-all;\n  vertical-align: baseline;\n  border-radius: 0.25rem;\n  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;\n  width: max-content;\n}\n\n@media (prefers-reduced-motion: reduce) {\n  .badge {\n    transition: none;\n  }\n}\n\n.badge-pill {\n  padding-right: 0.6em;\n  padding-left: 0.6em;\n  border-radius: 10rem;\n}\n\n.badge-primary {\n  color: #fff;\n  background-color: #007bff;\n}\n\n.badge-secondary {\n  color: #fff;\n  background-color: #6c757d;\n}\n\n.badge-danger {\n  color: #fff;\n  background-color: #dc3545;\n}\n\n.badge-light {\n  color: #212529;\n  background-color: #f8f9fa;\n}\n\n.text-truncate {\n  overflow: hidden;\n  text-overflow: ellipsis;\n  white-space: nowrap;\n}\n\n.text-capitalize {\n  text-transform: capitalize;\n}\n\n.text-white {\n  color: #fff;\n}\n";
const TransactionValueStyle0 = transactionValueCss;

const TransactionValue = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        var _a;
        return (h("div", { key: 'f7a258fd30ebcdea9a5c95b9cd876b25e3c85aa0', class: classNames(this.class, 'transaction-value') }, this.value.badge && (h("div", { key: '9b3eb9874557f5b547685235da3686c6585923ff', "data-testid": DataTestIdsEnum.transactionNftBadge, class: "badge badge-secondary badge-pill font-weight-light transaction-value-badge" }, this.value.badge)), this.value.showFormattedAmount && (h("format-amount", { key: '6868ba9f56aa6382d386dd944ee995fef76772d3', class: classNames('mr-1', {
                'text-truncate': this.value.svgUrl,
            }), dataTestId: DataTestIdsEnum.transactionActionFormattedAmount, isValid: true, label: this.value.egldLabel, valueDecimal: this.value.valueDecimal, valueInteger: this.value.valueInteger })), this.value.link && (h("explorer-link", { key: 'f98312049ef023b32eefe2fe6aa7d404ce80d006', link: this.value.link, class: classNames('transaction-value-link', {
                'side-link d-flex': this.value.svgUrl,
                'text-truncate': !this.value.svgUrl,
            }) }, h("div", { key: '74a6598ef8a597b86393dd490e07d0f5f1300a56', class: "transaction-value-content", slot: "content" }, this.value.svgUrl && h("img", { key: '5a1ab05186ff2debf56e9d51ab73523581bc05c3', src: this.value.svgUrl, alt: (_a = this.value.name) !== null && _a !== void 0 ? _a : '', class: "transaction-value-img" }), this.value.linkText && (h("span", { key: '210245508f8d5d584b8dbee1c64213ff43f764e3', class: classNames('transaction-value-link-text', {
                truncate: this.value.ticker === this.value.collection && this.value.ticker != null,
            }) }, this.value.linkText))))), this.value.titleText && h("fa-icon", { key: '3e80b0173eae5a7ba3300e190c75208f5ad4d014', icon: faLayerGroup, class: "transaction-value-icon", title: this.value.titleText })));
    }
};
TransactionValue.style = TransactionValueStyle0;

export { TransactionAccount as transaction_account, TransactionAge as transaction_age, TransactionHash as transaction_hash, TransactionMethod as transaction_method, TransactionShards as transaction_shards, TransactionValue as transaction_value };

//# sourceMappingURL=transaction-account_6.entry.js.map